Bug 1370493 (CVE-2016-7030) - CVE-2016-7030 ipa: DoS attack against kerberized services by abusing password policy
Summary: CVE-2016-7030 ipa: DoS attack against kerberized services by abusing password...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7030
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161214,repor...
Depends On: 1374638 1402810 1402811 1404690
Blocks: 1370497 1395316
TreeView+ depends on / blocked
 
Reported: 2016-08-26 13:22 UTC by Adam Mariš
Modified: 2019-06-08 21:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that the default IdM password policies that lock out accounts after a certain number of failed login attempts were also applied to host and service accounts. A remote unauthenticated user could use this flaw to cause a denial of service attack against kerberized services.
Clone Of:
Environment:
Last Closed: 2017-01-02 11:48:58 UTC


Attachments (Terms of Use)
Patch (7.66 KB, patch)
2016-12-12 10:42 UTC, Cedric Buissart 🐶
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0001 normal SHIPPED_LIVE Moderate: ipa security update 2017-01-02 15:54:30 UTC

Description Adam Mariš 2016-08-26 13:22:25 UTC
A flaw was found that allows any unauthenticated party to easily run DoS attack against kerberized services in FreeIPA/IdM realm.

FreeIPA contains MIT KDC as its main component + FreeIPA is using custom database driver for the KDC. As a side-effect of implementation, FreeIPA is enforcing password policies for all principals, including services which do not use "password" but keytab with randomly-generated/strong key.

Default password policy locks an account after 5 unsuccessful authentication attempts for 10 minutes. An attacker can use this to simply lock-out any principal, including system services.

Upstream patch : 
https://git.fedorahosted.org/cgit/freeipa.git/commit/?id=6f1d927467e7907fd1991f88388d96c67c9bff61

Additional dependency :
https://git.fedorahosted.org/cgit/freeipa.git/commit/?id=73f33569c8893610e246b2f44a7aeaec872b37e6

Comment 1 Adam Mariš 2016-08-26 13:22:31 UTC
Acknowledgments:

Name: Petr Spacek (Red Hat)

Comment 12 Cedric Buissart 🐶 2016-12-14 12:36:06 UTC
Created freeipa tracking bugs for this issue:

Affects: fedora-all [bug 1404690]

Comment 13 Cedric Buissart 🐶 2016-12-20 09:38:36 UTC
Comment on attachment 1230758 [details]
Patch

obsoleting patch : see description for list of upstream patches

Comment 14 errata-xmlrpc 2017-01-02 10:54:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0001 https://rhn.redhat.com/errata/RHSA-2017-0001.html


Note You need to log in before you can comment on or make changes to this bug.